window.Gleam.initSearch([{"doc":"glisbn","title":"glisbn","content":"# glisbn\n\n[![Package Version](https://img.shields.io/hexpm/v/glisbn)](https://hex.pm/packages/glisbn)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glisbn/)\n\nA ISBN utility library for the Gleam.\n\n```sh\ngleam add glisbn\n```\n```gleam\nimport glisbn\n\npub fn main() {\n  let isbn10 = &quot;9788535902778&quot;\n  glisbn.is_valid(isbn10) // -&gt; true\n\n  glisbn.hyphenate(isbn10) // -&gt; Ok(&quot;978-85-359-0277-8&quot;)\n\n  glisbn.isbn10_to_13(isbn10) // -&gt; Ok(&quot;9789788535904&quot;)\n\n  glisbn.get_publisher_zone(isbn10) // -&gt; Ok(&quot;Brazil&quot;)\n\n  // for more other usage examples see docs\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/glisbn&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"regions","title":"Dataset","content":"pub type Dataset {\n  Regions(code: String, name: String, ranges: List(List(String)))\n}\n\nRegions(code: String, name: String, ranges: List(List(String)))\n\n\nSynonyms:\nregions.Dataset\nregions Dataset","url":"regions.html#Dataset"},{"doc":"regions","title":"dataset","content":"pub const dataset: List(Dataset) = [\n  Regions(\n    &quot;978-0&quot;,\n    &quot;English language&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;900000&quot;, &quot;949999&quot;],\n      [&quot;9500000&quot;, &quot;9999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-1&quot;,\n    &quot;English language&quot;,\n    [\n      [&quot;00&quot;, &quot;09&quot;],\n      [&quot;100&quot;, &quot;399&quot;],\n      [&quot;4000&quot;, &quot;5499&quot;],\n      [&quot;55000&quot;, &quot;86979&quot;],\n      [&quot;869800&quot;, &quot;998999&quot;],\n      [&quot;9990000&quot;, &quot;9999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-2&quot;,\n    &quot;French language&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;349&quot;],\n      [&quot;35000&quot;, &quot;39999&quot;],\n      [&quot;400&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8399&quot;],\n      [&quot;84000&quot;, &quot;89999&quot;],\n      [&quot;900000&quot;, &quot;949999&quot;],\n      [&quot;9500000&quot;, &quot;9999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-3&quot;,\n    &quot;German language&quot;,\n    [\n      [&quot;00&quot;, &quot;02&quot;],\n      [&quot;030&quot;, &quot;033&quot;],\n      [&quot;0340&quot;, &quot;0369&quot;],\n      [&quot;03700&quot;, &quot;03999&quot;],\n      [&quot;04&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;900000&quot;, &quot;949999&quot;],\n      [&quot;9500000&quot;, &quot;9539999&quot;],\n      [&quot;95400&quot;, &quot;96999&quot;],\n      [&quot;9700000&quot;, &quot;9899999&quot;],\n      [&quot;99000&quot;, &quot;99499&quot;],\n      [&quot;99500&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-4&quot;,\n    &quot;Japan&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;900000&quot;, &quot;949999&quot;],\n      [&quot;9500000&quot;, &quot;9999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-5&quot;,\n    &quot;former U.S.S.R&quot;,\n    [\n      [&quot;00000&quot;, &quot;00499&quot;],\n      [&quot;0050&quot;, &quot;0099&quot;],\n      [&quot;01&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;420&quot;],\n      [&quot;4210&quot;, &quot;4299&quot;],\n      [&quot;430&quot;, &quot;430&quot;],\n      [&quot;4310&quot;, &quot;4399&quot;],\n      [&quot;440&quot;, &quot;440&quot;],\n      [&quot;4410&quot;, &quot;4499&quot;],\n      [&quot;450&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;900000&quot;, &quot;909999&quot;],\n      [&quot;91000&quot;, &quot;91999&quot;],\n      [&quot;9200&quot;, &quot;9299&quot;],\n      [&quot;93000&quot;, &quot;94999&quot;],\n      [&quot;9500000&quot;, &quot;9500999&quot;],\n      [&quot;9501&quot;, &quot;9799&quot;],\n      [&quot;98000&quot;, &quot;98999&quot;],\n      [&quot;9900000&quot;, &quot;9909999&quot;],\n      [&quot;9910&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-600&quot;,\n    &quot;Iran&quot;,\n    [\n      [&quot;00&quot;, &quot;09&quot;],\n      [&quot;100&quot;, &quot;499&quot;],\n      [&quot;5000&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-601&quot;,\n    &quot;Kazakhstan&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;7999&quot;],\n      [&quot;80000&quot;, &quot;84999&quot;],\n      [&quot;85&quot;, &quot;99&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-602&quot;,\n    &quot;Indonesia&quot;,\n    [\n      [&quot;00&quot;, &quot;07&quot;],\n      [&quot;0800&quot;, &quot;0899&quot;],\n      [&quot;0900&quot;, &quot;1099&quot;],\n      [&quot;1100&quot;, &quot;1199&quot;],\n      [&quot;1200&quot;, &quot;1399&quot;],\n      [&quot;14000&quot;, &quot;14999&quot;],\n      [&quot;1500&quot;, &quot;1699&quot;],\n      [&quot;17000&quot;, &quot;17999&quot;],\n      [&quot;18000&quot;, &quot;18999&quot;],\n      [&quot;19000&quot;, &quot;19999&quot;],\n      [&quot;200&quot;, &quot;619&quot;],\n      [&quot;6200&quot;, &quot;6749&quot;],\n      [&quot;6750&quot;, &quot;6999&quot;],\n      [&quot;70000&quot;, &quot;74999&quot;],\n      [&quot;7500&quot;, &quot;7999&quot;],\n      [&quot;8000&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-603&quot;,\n    &quot;Saudi Arabia&quot;,\n    [\n      [&quot;00&quot;, &quot;04&quot;],\n      [&quot;05&quot;, &quot;49&quot;],\n      [&quot;500&quot;, &quot;799&quot;],\n      [&quot;8000&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-604&quot;,\n    &quot;Vietnam&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;979&quot;], [&quot;9800&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-605&quot;,\n    &quot;Turkey&quot;,\n    [\n      [&quot;01&quot;, &quot;02&quot;],\n      [&quot;030&quot;, &quot;039&quot;],\n      [&quot;04&quot;, &quot;09&quot;],\n      [&quot;100&quot;, &quot;399&quot;],\n      [&quot;4000&quot;, &quot;5999&quot;],\n      [&quot;60000&quot;, &quot;89999&quot;],\n      [&quot;9000&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-606&quot;,\n    &quot;Romania&quot;,\n    [\n      [&quot;0&quot;, &quot;0&quot;],\n      [&quot;10&quot;, &quot;49&quot;],\n      [&quot;500&quot;, &quot;799&quot;],\n      [&quot;8000&quot;, &quot;9099&quot;],\n      [&quot;910&quot;, &quot;919&quot;],\n      [&quot;92000&quot;, &quot;97499&quot;],\n      [&quot;975&quot;, &quot;999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-607&quot;,\n    &quot;Mexico&quot;,\n    [\n      [&quot;00&quot;, &quot;39&quot;],\n      [&quot;400&quot;, &quot;749&quot;],\n      [&quot;7500&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-608&quot;,\n    &quot;Macedonia&quot;,\n    [\n      [&quot;0&quot;, &quot;0&quot;],\n      [&quot;10&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;449&quot;],\n      [&quot;4500&quot;, &quot;6499&quot;],\n      [&quot;65000&quot;, &quot;69999&quot;],\n      [&quot;7&quot;, &quot;9&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-609&quot;,\n    &quot;Lithuania&quot;,\n    [\n      [&quot;00&quot;, &quot;39&quot;],\n      [&quot;400&quot;, &quot;799&quot;],\n      [&quot;8000&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(&quot;978-611&quot;, &quot;Thailand&quot;, []),\n  Regions(\n    &quot;978-612&quot;,\n    &quot;Peru&quot;,\n    [\n      [&quot;00&quot;, &quot;29&quot;],\n      [&quot;300&quot;, &quot;399&quot;],\n      [&quot;4000&quot;, &quot;4499&quot;],\n      [&quot;45000&quot;, &quot;49999&quot;],\n      [&quot;50&quot;, &quot;99&quot;],\n    ],\n  ),\n  Regions(&quot;978-613&quot;, &quot;Mauritius&quot;, [[&quot;0&quot;, &quot;9&quot;]]),\n  Regions(\n    &quot;978-614&quot;,\n    &quot;Lebanon&quot;,\n    [\n      [&quot;00&quot;, &quot;39&quot;],\n      [&quot;400&quot;, &quot;799&quot;],\n      [&quot;8000&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-615&quot;,\n    &quot;Hungary&quot;,\n    [\n      [&quot;00&quot;, &quot;09&quot;],\n      [&quot;100&quot;, &quot;499&quot;],\n      [&quot;5000&quot;, &quot;7999&quot;],\n      [&quot;80000&quot;, &quot;89999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-616&quot;,\n    &quot;Thailand&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-617&quot;,\n    &quot;Ukraine&quot;,\n    [\n      [&quot;00&quot;, &quot;49&quot;],\n      [&quot;500&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-618&quot;,\n    &quot;Greece&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;499&quot;],\n      [&quot;5000&quot;, &quot;7999&quot;],\n      [&quot;80000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-619&quot;,\n    &quot;Bulgaria&quot;,\n    [\n      [&quot;00&quot;, &quot;14&quot;],\n      [&quot;150&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(&quot;978-620&quot;, &quot;Mauritius&quot;, [[&quot;0&quot;, &quot;9&quot;]]),\n  Regions(\n    &quot;978-621&quot;,\n    &quot;Philippines&quot;,\n    [\n      [&quot;00&quot;, &quot;29&quot;],\n      [&quot;400&quot;, &quot;599&quot;],\n      [&quot;8000&quot;, &quot;8999&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-7&quot;,\n    &quot;China&quot;,\n    [\n      [&quot;00&quot;, &quot;09&quot;],\n      [&quot;100&quot;, &quot;499&quot;],\n      [&quot;5000&quot;, &quot;7999&quot;],\n      [&quot;80000&quot;, &quot;89999&quot;],\n      [&quot;900000&quot;, &quot;999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-80&quot;,\n    &quot;former Czechoslovakia&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;900000&quot;, &quot;999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-81&quot;,\n    &quot;India&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;900000&quot;, &quot;999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-82&quot;,\n    &quot;Norway&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;689&quot;],\n      [&quot;690000&quot;, &quot;699999&quot;],\n      [&quot;7000&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;98999&quot;],\n      [&quot;990000&quot;, &quot;999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-83&quot;,\n    &quot;Poland&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;599&quot;],\n      [&quot;60000&quot;, &quot;69999&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;900000&quot;, &quot;999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-84&quot;,\n    &quot;Spain&quot;,\n    [\n      [&quot;00&quot;, &quot;13&quot;],\n      [&quot;140&quot;, &quot;149&quot;],\n      [&quot;15000&quot;, &quot;19999&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;9000&quot;, &quot;9199&quot;],\n      [&quot;920000&quot;, &quot;923999&quot;],\n      [&quot;92400&quot;, &quot;92999&quot;],\n      [&quot;930000&quot;, &quot;949999&quot;],\n      [&quot;95000&quot;, &quot;96999&quot;],\n      [&quot;9700&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-85&quot;,\n    &quot;Brazil&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;549&quot;],\n      [&quot;5500&quot;, &quot;5999&quot;],\n      [&quot;60000&quot;, &quot;69999&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;900000&quot;, &quot;924999&quot;],\n      [&quot;92500&quot;, &quot;94499&quot;],\n      [&quot;9450&quot;, &quot;9599&quot;],\n      [&quot;96&quot;, &quot;97&quot;],\n      [&quot;98000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-86&quot;,\n    &quot;former Yugoslavia&quot;,\n    [\n      [&quot;00&quot;, &quot;29&quot;],\n      [&quot;300&quot;, &quot;599&quot;],\n      [&quot;6000&quot;, &quot;7999&quot;],\n      [&quot;80000&quot;, &quot;89999&quot;],\n      [&quot;900000&quot;, &quot;999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-87&quot;,\n    &quot;Denmark&quot;,\n    [\n      [&quot;00&quot;, &quot;29&quot;],\n      [&quot;400&quot;, &quot;649&quot;],\n      [&quot;7000&quot;, &quot;7999&quot;],\n      [&quot;85000&quot;, &quot;94999&quot;],\n      [&quot;970000&quot;, &quot;999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-88&quot;,\n    &quot;Italy&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;599&quot;],\n      [&quot;6000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;900000&quot;, &quot;909999&quot;],\n      [&quot;910&quot;, &quot;929&quot;],\n      [&quot;9300&quot;, &quot;9399&quot;],\n      [&quot;940000&quot;, &quot;949999&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-89&quot;,\n    &quot;Korea Republic&quot;,\n    [\n      [&quot;00&quot;, &quot;24&quot;],\n      [&quot;250&quot;, &quot;549&quot;],\n      [&quot;5500&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;94999&quot;],\n      [&quot;950000&quot;, &quot;969999&quot;],\n      [&quot;97000&quot;, &quot;98999&quot;],\n      [&quot;990&quot;, &quot;999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-90&quot;,\n    &quot;Netherlands&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;499&quot;],\n      [&quot;5000&quot;, &quot;6999&quot;],\n      [&quot;70000&quot;, &quot;79999&quot;],\n      [&quot;800000&quot;, &quot;849999&quot;],\n      [&quot;8500&quot;, &quot;8999&quot;],\n      [&quot;90&quot;, &quot;90&quot;],\n      [&quot;94&quot;, &quot;94&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-91&quot;,\n    &quot;Sweden&quot;,\n    [\n      [&quot;0&quot;, &quot;1&quot;],\n      [&quot;20&quot;, &quot;49&quot;],\n      [&quot;500&quot;, &quot;649&quot;],\n      [&quot;7000&quot;, &quot;7999&quot;],\n      [&quot;85000&quot;, &quot;94999&quot;],\n      [&quot;970000&quot;, &quot;999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-92&quot;,\n    &quot;International NGO Publishers and EU Organizations&quot;,\n    [\n      [&quot;0&quot;, &quot;5&quot;],\n      [&quot;60&quot;, &quot;79&quot;],\n      [&quot;800&quot;, &quot;899&quot;],\n      [&quot;9000&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;98999&quot;],\n      [&quot;990000&quot;, &quot;999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-93&quot;,\n    &quot;India&quot;,\n    [\n      [&quot;00&quot;, &quot;09&quot;],\n      [&quot;100&quot;, &quot;499&quot;],\n      [&quot;5000&quot;, &quot;7999&quot;],\n      [&quot;80000&quot;, &quot;94999&quot;],\n      [&quot;950000&quot;, &quot;999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-94&quot;,\n    &quot;Netherlands&quot;,\n    [[&quot;000&quot;, &quot;599&quot;], [&quot;6000&quot;, &quot;8999&quot;], [&quot;90000&quot;, &quot;99999&quot;]],\n  ),\n  Regions(\n    &quot;978-950&quot;,\n    &quot;Argentina&quot;,\n    [\n      [&quot;00&quot;, &quot;49&quot;],\n      [&quot;500&quot;, &quot;899&quot;],\n      [&quot;9000&quot;, &quot;9899&quot;],\n      [&quot;99000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-951&quot;,\n    &quot;Finland&quot;,\n    [\n      [&quot;0&quot;, &quot;1&quot;],\n      [&quot;20&quot;, &quot;54&quot;],\n      [&quot;550&quot;, &quot;889&quot;],\n      [&quot;8900&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-952&quot;,\n    &quot;Finland&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;499&quot;],\n      [&quot;5000&quot;, &quot;5999&quot;],\n      [&quot;60&quot;, &quot;65&quot;],\n      [&quot;6600&quot;, &quot;6699&quot;],\n      [&quot;67000&quot;, &quot;69999&quot;],\n      [&quot;7000&quot;, &quot;7999&quot;],\n      [&quot;80&quot;, &quot;94&quot;],\n      [&quot;9500&quot;, &quot;9899&quot;],\n      [&quot;99000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-953&quot;,\n    &quot;Croatia&quot;,\n    [\n      [&quot;0&quot;, &quot;0&quot;],\n      [&quot;10&quot;, &quot;14&quot;],\n      [&quot;150&quot;, &quot;509&quot;],\n      [&quot;51&quot;, &quot;54&quot;],\n      [&quot;55000&quot;, &quot;59999&quot;],\n      [&quot;6000&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-954&quot;,\n    &quot;Bulgaria&quot;,\n    [\n      [&quot;00&quot;, &quot;28&quot;],\n      [&quot;2900&quot;, &quot;2999&quot;],\n      [&quot;300&quot;, &quot;799&quot;],\n      [&quot;8000&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;92999&quot;],\n      [&quot;9300&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-955&quot;,\n    &quot;SriLanka&quot;,\n    [\n      [&quot;0000&quot;, &quot;1999&quot;],\n      [&quot;20&quot;, &quot;38&quot;],\n      [&quot;3900&quot;, &quot;4099&quot;],\n      [&quot;41000&quot;, &quot;43999&quot;],\n      [&quot;44000&quot;, &quot;44999&quot;],\n      [&quot;4500&quot;, &quot;4999&quot;],\n      [&quot;50000&quot;, &quot;54999&quot;],\n      [&quot;550&quot;, &quot;749&quot;],\n      [&quot;7500&quot;, &quot;7999&quot;],\n      [&quot;8000&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-956&quot;,\n    &quot;Chile&quot;,\n    [[&quot;00&quot;, &quot;19&quot;], [&quot;200&quot;, &quot;699&quot;], [&quot;7000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-957&quot;,\n    &quot;Taiwan&quot;,\n    [\n      [&quot;00&quot;, &quot;02&quot;],\n      [&quot;0300&quot;, &quot;0499&quot;],\n      [&quot;05&quot;, &quot;19&quot;],\n      [&quot;2000&quot;, &quot;2099&quot;],\n      [&quot;21&quot;, &quot;27&quot;],\n      [&quot;28000&quot;, &quot;30999&quot;],\n      [&quot;31&quot;, &quot;43&quot;],\n      [&quot;440&quot;, &quot;819&quot;],\n      [&quot;8200&quot;, &quot;9699&quot;],\n      [&quot;97000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-958&quot;,\n    &quot;Colombia&quot;,\n    [\n      [&quot;00&quot;, &quot;56&quot;],\n      [&quot;57000&quot;, &quot;59999&quot;],\n      [&quot;600&quot;, &quot;799&quot;],\n      [&quot;8000&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-959&quot;,\n    &quot;Cuba&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-960&quot;,\n    &quot;Greece&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;659&quot;],\n      [&quot;6600&quot;, &quot;6899&quot;],\n      [&quot;690&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;92999&quot;],\n      [&quot;93&quot;, &quot;93&quot;],\n      [&quot;9400&quot;, &quot;9799&quot;],\n      [&quot;98000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-961&quot;,\n    &quot;Slovenia&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;599&quot;],\n      [&quot;6000&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;94999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-962&quot;,\n    &quot;HongKong, China&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;86999&quot;],\n      [&quot;8700&quot;, &quot;8999&quot;],\n      [&quot;900&quot;, &quot;999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-963&quot;,\n    &quot;Hungary&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;9000&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-964&quot;,\n    &quot;Iran&quot;,\n    [\n      [&quot;00&quot;, &quot;14&quot;],\n      [&quot;150&quot;, &quot;249&quot;],\n      [&quot;2500&quot;, &quot;2999&quot;],\n      [&quot;300&quot;, &quot;549&quot;],\n      [&quot;5500&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;96999&quot;],\n      [&quot;970&quot;, &quot;989&quot;],\n      [&quot;9900&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-965&quot;,\n    &quot;Israel&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;599&quot;],\n      [&quot;7000&quot;, &quot;7999&quot;],\n      [&quot;90000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-966&quot;,\n    &quot;Ukraine&quot;,\n    [\n      [&quot;00&quot;, &quot;12&quot;],\n      [&quot;130&quot;, &quot;139&quot;],\n      [&quot;14&quot;, &quot;14&quot;],\n      [&quot;1500&quot;, &quot;1699&quot;],\n      [&quot;170&quot;, &quot;199&quot;],\n      [&quot;2000&quot;, &quot;2789&quot;],\n      [&quot;279&quot;, &quot;289&quot;],\n      [&quot;2900&quot;, &quot;2999&quot;],\n      [&quot;300&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;90999&quot;],\n      [&quot;910&quot;, &quot;949&quot;],\n      [&quot;95000&quot;, &quot;97999&quot;],\n      [&quot;980&quot;, &quot;999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-967&quot;,\n    &quot;Malaysia&quot;,\n    [\n      [&quot;00&quot;, &quot;00&quot;],\n      [&quot;0100&quot;, &quot;0999&quot;],\n      [&quot;10000&quot;, &quot;19999&quot;],\n      [&quot;2000&quot;, &quot;2499&quot;],\n      [&quot;300&quot;, &quot;499&quot;],\n      [&quot;5000&quot;, &quot;5999&quot;],\n      [&quot;60&quot;, &quot;89&quot;],\n      [&quot;900&quot;, &quot;989&quot;],\n      [&quot;9900&quot;, &quot;9989&quot;],\n      [&quot;99900&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-968&quot;,\n    &quot;Mexico&quot;,\n    [\n      [&quot;01&quot;, &quot;39&quot;],\n      [&quot;400&quot;, &quot;499&quot;],\n      [&quot;5000&quot;, &quot;7999&quot;],\n      [&quot;800&quot;, &quot;899&quot;],\n      [&quot;9000&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-969&quot;,\n    &quot;Pakistan&quot;,\n    [\n      [&quot;0&quot;, &quot;1&quot;],\n      [&quot;20&quot;, &quot;22&quot;],\n      [&quot;23000&quot;, &quot;23999&quot;],\n      [&quot;24&quot;, &quot;39&quot;],\n      [&quot;400&quot;, &quot;749&quot;],\n      [&quot;7500&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-970&quot;,\n    &quot;Mexico&quot;,\n    [\n      [&quot;01&quot;, &quot;59&quot;],\n      [&quot;600&quot;, &quot;899&quot;],\n      [&quot;9000&quot;, &quot;9099&quot;],\n      [&quot;91000&quot;, &quot;96999&quot;],\n      [&quot;9700&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-971&quot;,\n    &quot;Philippines&quot;,\n    [\n      [&quot;000&quot;, &quot;015&quot;],\n      [&quot;0160&quot;, &quot;0199&quot;],\n      [&quot;02&quot;, &quot;02&quot;],\n      [&quot;0300&quot;, &quot;0599&quot;],\n      [&quot;06&quot;, &quot;49&quot;],\n      [&quot;500&quot;, &quot;849&quot;],\n      [&quot;8500&quot;, &quot;9099&quot;],\n      [&quot;91000&quot;, &quot;95999&quot;],\n      [&quot;9600&quot;, &quot;9699&quot;],\n      [&quot;97&quot;, &quot;98&quot;],\n      [&quot;9900&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-972&quot;,\n    &quot;Portugal&quot;,\n    [\n      [&quot;0&quot;, &quot;1&quot;],\n      [&quot;20&quot;, &quot;54&quot;],\n      [&quot;550&quot;, &quot;799&quot;],\n      [&quot;8000&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-973&quot;,\n    &quot;Romania&quot;,\n    [\n      [&quot;0&quot;, &quot;0&quot;],\n      [&quot;100&quot;, &quot;169&quot;],\n      [&quot;1700&quot;, &quot;1999&quot;],\n      [&quot;20&quot;, &quot;54&quot;],\n      [&quot;550&quot;, &quot;759&quot;],\n      [&quot;7600&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;88999&quot;],\n      [&quot;8900&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-974&quot;,\n    &quot;Thailand&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;90000&quot;, &quot;94999&quot;],\n      [&quot;9500&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-975&quot;,\n    &quot;Turkey&quot;,\n    [\n      [&quot;00000&quot;, &quot;01999&quot;],\n      [&quot;02&quot;, &quot;24&quot;],\n      [&quot;250&quot;, &quot;599&quot;],\n      [&quot;6000&quot;, &quot;9199&quot;],\n      [&quot;92000&quot;, &quot;98999&quot;],\n      [&quot;990&quot;, &quot;999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-976&quot;,\n    &quot;Caribbean Community&quot;,\n    [\n      [&quot;0&quot;, &quot;3&quot;],\n      [&quot;40&quot;, &quot;59&quot;],\n      [&quot;600&quot;, &quot;799&quot;],\n      [&quot;8000&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-977&quot;,\n    &quot;Egypt&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;499&quot;],\n      [&quot;5000&quot;, &quot;6999&quot;],\n      [&quot;700&quot;, &quot;849&quot;],\n      [&quot;85000&quot;, &quot;89999&quot;],\n      [&quot;90&quot;, &quot;99&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-978&quot;,\n    &quot;Nigeria&quot;,\n    [\n      [&quot;000&quot;, &quot;199&quot;],\n      [&quot;2000&quot;, &quot;2999&quot;],\n      [&quot;30000&quot;, &quot;79999&quot;],\n      [&quot;8000&quot;, &quot;8999&quot;],\n      [&quot;900&quot;, &quot;999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-979&quot;,\n    &quot;Indonesia&quot;,\n    [\n      [&quot;000&quot;, &quot;099&quot;],\n      [&quot;1000&quot;, &quot;1499&quot;],\n      [&quot;15000&quot;, &quot;19999&quot;],\n      [&quot;20&quot;, &quot;29&quot;],\n      [&quot;3000&quot;, &quot;3999&quot;],\n      [&quot;400&quot;, &quot;799&quot;],\n      [&quot;8000&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-980&quot;,\n    &quot;Venezuela&quot;,\n    [[&quot;00&quot;, &quot;19&quot;], [&quot;200&quot;, &quot;599&quot;], [&quot;6000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-981&quot;,\n    &quot;Singapore&quot;,\n    [\n      [&quot;00&quot;, &quot;16&quot;],\n      [&quot;17000&quot;, &quot;19999&quot;],\n      [&quot;200&quot;, &quot;299&quot;],\n      [&quot;3000&quot;, &quot;3099&quot;],\n      [&quot;310&quot;, &quot;399&quot;],\n      [&quot;4000&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-982&quot;,\n    &quot;South Pacific&quot;,\n    [\n      [&quot;00&quot;, &quot;09&quot;],\n      [&quot;100&quot;, &quot;699&quot;],\n      [&quot;70&quot;, &quot;89&quot;],\n      [&quot;9000&quot;, &quot;9799&quot;],\n      [&quot;98000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-983&quot;,\n    &quot;Malaysia&quot;,\n    [\n      [&quot;00&quot;, &quot;01&quot;],\n      [&quot;020&quot;, &quot;199&quot;],\n      [&quot;2000&quot;, &quot;3999&quot;],\n      [&quot;40000&quot;, &quot;44999&quot;],\n      [&quot;45&quot;, &quot;49&quot;],\n      [&quot;50&quot;, &quot;79&quot;],\n      [&quot;800&quot;, &quot;899&quot;],\n      [&quot;9000&quot;, &quot;9899&quot;],\n      [&quot;99000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-984&quot;,\n    &quot;Bangladesh&quot;,\n    [\n      [&quot;00&quot;, &quot;39&quot;],\n      [&quot;400&quot;, &quot;799&quot;],\n      [&quot;8000&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-985&quot;,\n    &quot;Belarus&quot;,\n    [\n      [&quot;00&quot;, &quot;39&quot;],\n      [&quot;400&quot;, &quot;599&quot;],\n      [&quot;6000&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-986&quot;,\n    &quot;Taiwan&quot;,\n    [\n      [&quot;00&quot;, &quot;11&quot;],\n      [&quot;120&quot;, &quot;559&quot;],\n      [&quot;5600&quot;, &quot;7999&quot;],\n      [&quot;80000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-987&quot;,\n    &quot;Argentina&quot;,\n    [\n      [&quot;00&quot;, &quot;09&quot;],\n      [&quot;1000&quot;, &quot;1999&quot;],\n      [&quot;20000&quot;, &quot;29999&quot;],\n      [&quot;30&quot;, &quot;35&quot;],\n      [&quot;3600&quot;, &quot;3999&quot;],\n      [&quot;4000&quot;, &quot;4199&quot;],\n      [&quot;42&quot;, &quot;43&quot;],\n      [&quot;4400&quot;, &quot;4499&quot;],\n      [&quot;45000&quot;, &quot;48999&quot;],\n      [&quot;4900&quot;, &quot;4999&quot;],\n      [&quot;500&quot;, &quot;899&quot;],\n      [&quot;9000&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-988&quot;,\n    &quot;HongKong,China&quot;,\n    [\n      [&quot;00&quot;, &quot;11&quot;],\n      [&quot;12000&quot;, &quot;14999&quot;],\n      [&quot;15000&quot;, &quot;16999&quot;],\n      [&quot;17000&quot;, &quot;19999&quot;],\n      [&quot;200&quot;, &quot;769&quot;],\n      [&quot;77000&quot;, &quot;79999&quot;],\n      [&quot;8000&quot;, &quot;9699&quot;],\n      [&quot;97000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-989&quot;,\n    &quot;Portugal&quot;,\n    [\n      [&quot;0&quot;, &quot;1&quot;],\n      [&quot;20&quot;, &quot;54&quot;],\n      [&quot;550&quot;, &quot;799&quot;],\n      [&quot;8000&quot;, &quot;9499&quot;],\n      [&quot;95000&quot;, &quot;99999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9924&quot;,\n    &quot;Cambodia&quot;,\n    [[&quot;30&quot;, &quot;39&quot;], [&quot;500&quot;, &quot;649&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9925&quot;,\n    &quot;Cyprus&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;54&quot;], [&quot;550&quot;, &quot;734&quot;], [&quot;7350&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9926&quot;,\n    &quot;Bosnia and Herzegovina&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;799&quot;], [&quot;8000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9927&quot;,\n    &quot;Qatar&quot;,\n    [[&quot;00&quot;, &quot;09&quot;], [&quot;100&quot;, &quot;399&quot;], [&quot;4000&quot;, &quot;4999&quot;]],\n  ),\n  Regions(\n    &quot;978-9928&quot;,\n    &quot;Albania&quot;,\n    [[&quot;00&quot;, &quot;09&quot;], [&quot;100&quot;, &quot;399&quot;], [&quot;4000&quot;, &quot;4999&quot;]],\n  ),\n  Regions(\n    &quot;978-9929&quot;,\n    &quot;Guatemala&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;40&quot;, &quot;54&quot;], [&quot;550&quot;, &quot;799&quot;], [&quot;8000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9930&quot;,\n    &quot;Costa Rica&quot;,\n    [[&quot;00&quot;, &quot;49&quot;], [&quot;500&quot;, &quot;939&quot;], [&quot;9400&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9931&quot;,\n    &quot;Algeria&quot;,\n    [[&quot;00&quot;, &quot;29&quot;], [&quot;300&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9932&quot;,\n    &quot;Lao People&#39;s Democratic Republic&quot;,\n    [[&quot;00&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;849&quot;], [&quot;8500&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9933&quot;,\n    &quot;Syria&quot;,\n    [[&quot;0&quot;, &quot;0&quot;], [&quot;10&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9934&quot;,\n    &quot;Latvia&quot;,\n    [[&quot;0&quot;, &quot;0&quot;], [&quot;10&quot;, &quot;49&quot;], [&quot;500&quot;, &quot;799&quot;], [&quot;8000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9935&quot;,\n    &quot;Iceland&quot;,\n    [[&quot;0&quot;, &quot;0&quot;], [&quot;10&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9936&quot;,\n    &quot;Afghanistan&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;799&quot;], [&quot;8000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9937&quot;,\n    &quot;Nepal&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;49&quot;], [&quot;500&quot;, &quot;799&quot;], [&quot;8000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9938&quot;,\n    &quot;Tunisia&quot;,\n    [[&quot;00&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;949&quot;], [&quot;9500&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9939&quot;,\n    &quot;Armenia&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9940&quot;,\n    &quot;Montenegro&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;49&quot;], [&quot;500&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9941&quot;,\n    &quot;Georgia&quot;,\n    [[&quot;0&quot;, &quot;0&quot;], [&quot;10&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9942&quot;,\n    &quot;Ecuador&quot;,\n    [\n      [&quot;00&quot;, &quot;84&quot;],\n      [&quot;8500&quot;, &quot;8999&quot;],\n      [&quot;900&quot;, &quot;984&quot;],\n      [&quot;9850&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9943&quot;,\n    &quot;Uzbekistan&quot;,\n    [\n      [&quot;00&quot;, &quot;29&quot;],\n      [&quot;300&quot;, &quot;399&quot;],\n      [&quot;4000&quot;, &quot;9749&quot;],\n      [&quot;975&quot;, &quot;999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9944&quot;,\n    &quot;Turkey&quot;,\n    [\n      [&quot;0000&quot;, &quot;0999&quot;],\n      [&quot;100&quot;, &quot;499&quot;],\n      [&quot;5000&quot;, &quot;5999&quot;],\n      [&quot;60&quot;, &quot;69&quot;],\n      [&quot;700&quot;, &quot;799&quot;],\n      [&quot;80&quot;, &quot;89&quot;],\n      [&quot;900&quot;, &quot;999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9945&quot;,\n    &quot;Dominican Republic&quot;,\n    [\n      [&quot;00&quot;, &quot;00&quot;],\n      [&quot;010&quot;, &quot;079&quot;],\n      [&quot;08&quot;, &quot;39&quot;],\n      [&quot;400&quot;, &quot;569&quot;],\n      [&quot;57&quot;, &quot;57&quot;],\n      [&quot;580&quot;, &quot;849&quot;],\n      [&quot;8500&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9946&quot;,\n    &quot;Korea, P.D.R.&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9947&quot;,\n    &quot;Algeria&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-9948&quot;,\n    &quot;United Arab Emirates&quot;,\n    [[&quot;00&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;849&quot;], [&quot;8500&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9949&quot;,\n    &quot;Estonia&quot;,\n    [\n      [&quot;0&quot;, &quot;0&quot;],\n      [&quot;10&quot;, &quot;39&quot;],\n      [&quot;400&quot;, &quot;749&quot;],\n      [&quot;75&quot;, &quot;89&quot;],\n      [&quot;9000&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9950&quot;,\n    &quot;Palestine&quot;,\n    [[&quot;00&quot;, &quot;29&quot;], [&quot;300&quot;, &quot;849&quot;], [&quot;8500&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9951&quot;,\n    &quot;Kosova&quot;,\n    [[&quot;00&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;849&quot;], [&quot;8500&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9952&quot;,\n    &quot;Azerbaijan&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;799&quot;], [&quot;8000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9953&quot;,\n    &quot;Lebanon&quot;,\n    [\n      [&quot;0&quot;, &quot;0&quot;],\n      [&quot;10&quot;, &quot;39&quot;],\n      [&quot;400&quot;, &quot;599&quot;],\n      [&quot;60&quot;, &quot;89&quot;],\n      [&quot;9000&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9954&quot;,\n    &quot;Morocco&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;799&quot;], [&quot;8000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9955&quot;,\n    &quot;Lithuania&quot;,\n    [[&quot;00&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;929&quot;], [&quot;9300&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9956&quot;,\n    &quot;Cameroon&quot;,\n    [[&quot;0&quot;, &quot;0&quot;], [&quot;10&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9957&quot;,\n    &quot;Jordan&quot;,\n    [\n      [&quot;00&quot;, &quot;39&quot;],\n      [&quot;400&quot;, &quot;649&quot;],\n      [&quot;65&quot;, &quot;69&quot;],\n      [&quot;70&quot;, &quot;84&quot;],\n      [&quot;8500&quot;, &quot;8799&quot;],\n      [&quot;88&quot;, &quot;99&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9958&quot;,\n    &quot;Bosnia and Herzegovina&quot;,\n    [\n      [&quot;00&quot;, &quot;01&quot;],\n      [&quot;020&quot;, &quot;029&quot;],\n      [&quot;0300&quot;, &quot;0399&quot;],\n      [&quot;040&quot;, &quot;089&quot;],\n      [&quot;0900&quot;, &quot;0999&quot;],\n      [&quot;10&quot;, &quot;18&quot;],\n      [&quot;1900&quot;, &quot;1999&quot;],\n      [&quot;20&quot;, &quot;49&quot;],\n      [&quot;500&quot;, &quot;899&quot;],\n      [&quot;9000&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9959&quot;,\n    &quot;Libya&quot;,\n    [\n      [&quot;0&quot;, &quot;1&quot;],\n      [&quot;20&quot;, &quot;79&quot;],\n      [&quot;800&quot;, &quot;949&quot;],\n      [&quot;9500&quot;, &quot;9699&quot;],\n      [&quot;970&quot;, &quot;979&quot;],\n      [&quot;98&quot;, &quot;99&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9960&quot;,\n    &quot;SaudiArabia&quot;,\n    [[&quot;00&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9961&quot;,\n    &quot;Algeria&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;69&quot;], [&quot;700&quot;, &quot;949&quot;], [&quot;9500&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9962&quot;,\n    &quot;Panama&quot;,\n    [\n      [&quot;00&quot;, &quot;54&quot;],\n      [&quot;5500&quot;, &quot;5599&quot;],\n      [&quot;56&quot;, &quot;59&quot;],\n      [&quot;600&quot;, &quot;849&quot;],\n      [&quot;8500&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9963&quot;,\n    &quot;Cyprus&quot;,\n    [\n      [&quot;0&quot;, &quot;1&quot;],\n      [&quot;2000&quot;, &quot;2499&quot;],\n      [&quot;250&quot;, &quot;279&quot;],\n      [&quot;2800&quot;, &quot;2999&quot;],\n      [&quot;30&quot;, &quot;54&quot;],\n      [&quot;550&quot;, &quot;734&quot;],\n      [&quot;7350&quot;, &quot;7499&quot;],\n      [&quot;7500&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9964&quot;,\n    &quot;Ghana&quot;,\n    [[&quot;0&quot;, &quot;6&quot;], [&quot;70&quot;, &quot;94&quot;], [&quot;950&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-9965&quot;,\n    &quot;Kazakhstan&quot;,\n    [[&quot;00&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9966&quot;,\n    &quot;Kenya&quot;,\n    [\n      [&quot;000&quot;, &quot;149&quot;],\n      [&quot;1500&quot;, &quot;1999&quot;],\n      [&quot;20&quot;, &quot;69&quot;],\n      [&quot;7000&quot;, &quot;7499&quot;],\n      [&quot;750&quot;, &quot;959&quot;],\n      [&quot;9600&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9967&quot;,\n    &quot;Kyrgyz Republic&quot;,\n    [[&quot;00&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9968&quot;,\n    &quot;Costa Rica&quot;,\n    [[&quot;00&quot;, &quot;49&quot;], [&quot;500&quot;, &quot;939&quot;], [&quot;9400&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9970&quot;,\n    &quot;Uganda&quot;,\n    [[&quot;00&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9971&quot;,\n    &quot;Singapore&quot;,\n    [[&quot;0&quot;, &quot;5&quot;], [&quot;60&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;989&quot;], [&quot;9900&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9972&quot;,\n    &quot;Peru&quot;,\n    [\n      [&quot;00&quot;, &quot;09&quot;],\n      [&quot;1&quot;, &quot;1&quot;],\n      [&quot;200&quot;, &quot;249&quot;],\n      [&quot;2500&quot;, &quot;2999&quot;],\n      [&quot;30&quot;, &quot;59&quot;],\n      [&quot;600&quot;, &quot;899&quot;],\n      [&quot;9000&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9973&quot;,\n    &quot;Tunisia&quot;,\n    [\n      [&quot;00&quot;, &quot;05&quot;],\n      [&quot;060&quot;, &quot;089&quot;],\n      [&quot;0900&quot;, &quot;0999&quot;],\n      [&quot;10&quot;, &quot;69&quot;],\n      [&quot;700&quot;, &quot;969&quot;],\n      [&quot;9700&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9974&quot;,\n    &quot;Uruguay&quot;,\n    [\n      [&quot;0&quot;, &quot;2&quot;],\n      [&quot;30&quot;, &quot;54&quot;],\n      [&quot;550&quot;, &quot;749&quot;],\n      [&quot;7500&quot;, &quot;9099&quot;],\n      [&quot;91&quot;, &quot;94&quot;],\n      [&quot;95&quot;, &quot;99&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9975&quot;,\n    &quot;Moldova&quot;,\n    [\n      [&quot;0&quot;, &quot;0&quot;],\n      [&quot;100&quot;, &quot;299&quot;],\n      [&quot;3000&quot;, &quot;3999&quot;],\n      [&quot;4000&quot;, &quot;4499&quot;],\n      [&quot;45&quot;, &quot;89&quot;],\n      [&quot;900&quot;, &quot;949&quot;],\n      [&quot;9500&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9976&quot;,\n    &quot;Tanzania&quot;,\n    [[&quot;0&quot;, &quot;5&quot;], [&quot;60&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;989&quot;], [&quot;9900&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9977&quot;,\n    &quot;Costa Rica&quot;,\n    [[&quot;00&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;989&quot;], [&quot;9900&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9978&quot;,\n    &quot;Ecuador&quot;,\n    [\n      [&quot;00&quot;, &quot;29&quot;],\n      [&quot;300&quot;, &quot;399&quot;],\n      [&quot;40&quot;, &quot;94&quot;],\n      [&quot;950&quot;, &quot;989&quot;],\n      [&quot;9900&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9979&quot;,\n    &quot;Iceland&quot;,\n    [\n      [&quot;0&quot;, &quot;4&quot;],\n      [&quot;50&quot;, &quot;64&quot;],\n      [&quot;650&quot;, &quot;659&quot;],\n      [&quot;66&quot;, &quot;75&quot;],\n      [&quot;760&quot;, &quot;899&quot;],\n      [&quot;9000&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9980&quot;,\n    &quot;Papua New Guinea&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;40&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;989&quot;], [&quot;9900&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9981&quot;,\n    &quot;Morocco&quot;,\n    [\n      [&quot;00&quot;, &quot;09&quot;],\n      [&quot;100&quot;, &quot;159&quot;],\n      [&quot;1600&quot;, &quot;1999&quot;],\n      [&quot;20&quot;, &quot;79&quot;],\n      [&quot;800&quot;, &quot;949&quot;],\n      [&quot;9500&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9982&quot;,\n    &quot;Zambia&quot;,\n    [[&quot;00&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;989&quot;], [&quot;9900&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9983&quot;,\n    &quot;Gambia&quot;,\n    [[&quot;80&quot;, &quot;94&quot;], [&quot;950&quot;, &quot;989&quot;], [&quot;9900&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9984&quot;,\n    &quot;Latvia&quot;,\n    [[&quot;00&quot;, &quot;49&quot;], [&quot;500&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9985&quot;,\n    &quot;Estonia&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;899&quot;], [&quot;9000&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9986&quot;,\n    &quot;Lithuania&quot;,\n    [\n      [&quot;00&quot;, &quot;39&quot;],\n      [&quot;400&quot;, &quot;899&quot;],\n      [&quot;9000&quot;, &quot;9399&quot;],\n      [&quot;940&quot;, &quot;969&quot;],\n      [&quot;97&quot;, &quot;99&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-9987&quot;,\n    &quot;Tanzania&quot;,\n    [[&quot;00&quot;, &quot;39&quot;], [&quot;400&quot;, &quot;879&quot;], [&quot;8800&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9988&quot;,\n    &quot;Ghana&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;54&quot;], [&quot;550&quot;, &quot;749&quot;], [&quot;7500&quot;, &quot;9999&quot;]],\n  ),\n  Regions(\n    &quot;978-9989&quot;,\n    &quot;Macedonia&quot;,\n    [\n      [&quot;0&quot;, &quot;0&quot;],\n      [&quot;100&quot;, &quot;199&quot;],\n      [&quot;2000&quot;, &quot;2999&quot;],\n      [&quot;30&quot;, &quot;59&quot;],\n      [&quot;600&quot;, &quot;949&quot;],\n      [&quot;9500&quot;, &quot;9999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-99901&quot;,\n    &quot;Bahrain&quot;,\n    [[&quot;00&quot;, &quot;49&quot;], [&quot;500&quot;, &quot;799&quot;], [&quot;80&quot;, &quot;99&quot;]],\n  ),\n  Regions(&quot;978-99902&quot;, &quot;Reserved Agency&quot;, []),\n  Regions(\n    &quot;978-99903&quot;,\n    &quot;Mauritius&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99904&quot;,\n    &quot;Curaçao&quot;,\n    [[&quot;0&quot;, &quot;5&quot;], [&quot;60&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99905&quot;,\n    &quot;Bolivia&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;40&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99906&quot;,\n    &quot;Kuwait&quot;,\n    [\n      [&quot;0&quot;, &quot;2&quot;],\n      [&quot;30&quot;, &quot;59&quot;],\n      [&quot;600&quot;, &quot;699&quot;],\n      [&quot;70&quot;, &quot;89&quot;],\n      [&quot;90&quot;, &quot;94&quot;],\n      [&quot;950&quot;, &quot;999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-99908&quot;,\n    &quot;Malawi&quot;,\n    [[&quot;0&quot;, &quot;0&quot;], [&quot;10&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99909&quot;,\n    &quot;Malta&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;40&quot;, &quot;94&quot;], [&quot;950&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99910&quot;,\n    &quot;SierraLeone&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(&quot;978-99911&quot;, &quot;Lesotho&quot;, [[&quot;00&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;999&quot;]]),\n  Regions(\n    &quot;978-99912&quot;,\n    &quot;Botswana&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;400&quot;, &quot;599&quot;], [&quot;60&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99913&quot;,\n    &quot;Andorra&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;35&quot;], [&quot;600&quot;, &quot;604&quot;]],\n  ),\n  Regions(\n    &quot;978-99914&quot;,\n    &quot;Suriname&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99915&quot;,\n    &quot;Maldives&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99916&quot;,\n    &quot;Namibia&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;69&quot;], [&quot;700&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99917&quot;,\n    &quot;Brunei Darussalam&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99918&quot;,\n    &quot;Faroe Islands&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;40&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99919&quot;,\n    &quot;Benin&quot;,\n    [\n      [&quot;0&quot;, &quot;2&quot;],\n      [&quot;300&quot;, &quot;399&quot;],\n      [&quot;40&quot;, &quot;69&quot;],\n      [&quot;70&quot;, &quot;79&quot;],\n      [&quot;800&quot;, &quot;849&quot;],\n      [&quot;850&quot;, &quot;899&quot;],\n      [&quot;900&quot;, &quot;999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-99920&quot;,\n    &quot;Andorra&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99921&quot;,\n    &quot;Qatar&quot;,\n    [\n      [&quot;0&quot;, &quot;1&quot;],\n      [&quot;20&quot;, &quot;69&quot;],\n      [&quot;700&quot;, &quot;799&quot;],\n      [&quot;8&quot;, &quot;8&quot;],\n      [&quot;90&quot;, &quot;99&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-99922&quot;,\n    &quot;Guatemala&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;40&quot;, &quot;69&quot;], [&quot;700&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99923&quot;,\n    &quot;El Salvador&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99924&quot;,\n    &quot;Nicaragua&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99925&quot;,\n    &quot;Paraguay&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;40&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99926&quot;,\n    &quot;Honduras&quot;,\n    [\n      [&quot;0&quot;, &quot;0&quot;],\n      [&quot;10&quot;, &quot;59&quot;],\n      [&quot;600&quot;, &quot;869&quot;],\n      [&quot;87&quot;, &quot;89&quot;],\n      [&quot;90&quot;, &quot;99&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-99927&quot;,\n    &quot;Albania&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99928&quot;,\n    &quot;Georgia&quot;,\n    [[&quot;0&quot;, &quot;0&quot;], [&quot;10&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99929&quot;,\n    &quot;Mongolia&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99930&quot;,\n    &quot;Armenia&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99931&quot;,\n    &quot;Seychelles&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99932&quot;,\n    &quot;Malta&quot;,\n    [\n      [&quot;0&quot;, &quot;0&quot;],\n      [&quot;10&quot;, &quot;59&quot;],\n      [&quot;600&quot;, &quot;699&quot;],\n      [&quot;7&quot;, &quot;7&quot;],\n      [&quot;80&quot;, &quot;99&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-99933&quot;,\n    &quot;Nepal&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99934&quot;,\n    &quot;Dominican Republic&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99935&quot;,\n    &quot;Haiti&quot;,\n    [\n      [&quot;0&quot;, &quot;2&quot;],\n      [&quot;30&quot;, &quot;59&quot;],\n      [&quot;600&quot;, &quot;699&quot;],\n      [&quot;7&quot;, &quot;8&quot;],\n      [&quot;90&quot;, &quot;99&quot;],\n    ],\n  ),\n  Regions(\n    &quot;978-99936&quot;,\n    &quot;Bhutan&quot;,\n    [[&quot;0&quot;, &quot;0&quot;], [&quot;10&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99937&quot;,\n    &quot;Macau&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99938&quot;,\n    &quot;Srpska, Republicof&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;899&quot;], [&quot;90&quot;, &quot;99&quot;]],\n  ),\n  Regions(\n    &quot;978-99939&quot;,\n    &quot;Guatemala&quot;,\n    [[&quot;0&quot;, &quot;5&quot;], [&quot;60&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99940&quot;,\n    &quot;Georgia&quot;,\n    [[&quot;0&quot;, &quot;0&quot;], [&quot;10&quot;, &quot;69&quot;], [&quot;700&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99941&quot;,\n    &quot;Armenia&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99942&quot;,\n    &quot;Sudan&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99943&quot;,\n    &quot;Albania&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99944&quot;,\n    &quot;Ethiopia&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99945&quot;,\n    &quot;Namibia&quot;,\n    [[&quot;0&quot;, &quot;5&quot;], [&quot;60&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99946&quot;,\n    &quot;Nepal&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99947&quot;,\n    &quot;Tajikistan&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;69&quot;], [&quot;700&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99948&quot;,\n    &quot;Eritrea&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99949&quot;,\n    &quot;Mauritius&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99950&quot;,\n    &quot;Cambodia&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(&quot;978-99951&quot;, &quot;Reserved Agency&quot;, []),\n  Regions(\n    &quot;978-99952&quot;,\n    &quot;Mali&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99953&quot;,\n    &quot;Paraguay&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;939&quot;], [&quot;94&quot;, &quot;99&quot;]],\n  ),\n  Regions(\n    &quot;978-99954&quot;,\n    &quot;Bolivia&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;69&quot;], [&quot;700&quot;, &quot;879&quot;], [&quot;88&quot;, &quot;99&quot;]],\n  ),\n  Regions(\n    &quot;978-99955&quot;,\n    &quot;Srpska, Republicof&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;799&quot;], [&quot;80&quot;, &quot;99&quot;]],\n  ),\n  Regions(\n    &quot;978-99956&quot;,\n    &quot;Albania&quot;,\n    [[&quot;00&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;859&quot;], [&quot;86&quot;, &quot;99&quot;]],\n  ),\n  Regions(\n    &quot;978-99957&quot;,\n    &quot;Malta&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99958&quot;,\n    &quot;Bahrain&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;93&quot;], [&quot;940&quot;, &quot;949&quot;], [&quot;950&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99959&quot;,\n    &quot;Luxembourg&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99960&quot;,\n    &quot;Malawi&quot;,\n    [[&quot;0&quot;, &quot;0&quot;], [&quot;10&quot;, &quot;94&quot;], [&quot;950&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99961&quot;,\n    &quot;El Salvador&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;40&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99962&quot;,\n    &quot;Mongolia&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99963&quot;,\n    &quot;Cambodia&quot;,\n    [[&quot;00&quot;, &quot;49&quot;], [&quot;500&quot;, &quot;919&quot;], [&quot;92&quot;, &quot;99&quot;]],\n  ),\n  Regions(\n    &quot;978-99964&quot;,\n    &quot;Nicaragua&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99965&quot;,\n    &quot;Macau&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;40&quot;, &quot;62&quot;], [&quot;630&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99966&quot;,\n    &quot;Kuwait&quot;,\n    [[&quot;0&quot;, &quot;2&quot;], [&quot;30&quot;, &quot;69&quot;], [&quot;700&quot;, &quot;799&quot;], [&quot;80&quot;, &quot;94&quot;]],\n  ),\n  Regions(\n    &quot;978-99967&quot;,\n    &quot;Paraguay&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;899&quot;]],\n  ),\n  Regions(\n    &quot;978-99968&quot;,\n    &quot;Botswana&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;400&quot;, &quot;599&quot;], [&quot;60&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99969&quot;,\n    &quot;Oman&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99970&quot;,\n    &quot;Haiti&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99971&quot;,\n    &quot;Myanmar&quot;,\n    [[&quot;0&quot;, &quot;5&quot;], [&quot;60&quot;, &quot;84&quot;], [&quot;850&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99972&quot;,\n    &quot;Faroe Islands&quot;,\n    [[&quot;0&quot;, &quot;4&quot;], [&quot;50&quot;, &quot;89&quot;], [&quot;900&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99973&quot;,\n    &quot;Mongolia&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;40&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(&quot;978-99974&quot;, &quot;Bolivia&quot;, [[&quot;40&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]]),\n  Regions(\n    &quot;978-99975&quot;,\n    &quot;Tajikistan&quot;,\n    [[&quot;0&quot;, &quot;3&quot;], [&quot;40&quot;, &quot;79&quot;], [&quot;800&quot;, &quot;999&quot;]],\n  ),\n  Regions(\n    &quot;978-99976&quot;,\n    &quot;Srpska, Republicof&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;20&quot;, &quot;59&quot;], [&quot;600&quot;, &quot;799&quot;]],\n  ),\n  Regions(\n    &quot;978-99977&quot;,\n    &quot;Rwanda&quot;,\n    [[&quot;0&quot;, &quot;1&quot;], [&quot;40&quot;, &quot;69&quot;], [&quot;700&quot;, &quot;799&quot;]],\n  ),\n  Regions(\n    &quot;979-10&quot;,\n    &quot;France&quot;,\n    [\n      [&quot;00&quot;, &quot;19&quot;],\n      [&quot;200&quot;, &quot;699&quot;],\n      [&quot;7000&quot;, &quot;8999&quot;],\n      [&quot;90000&quot;, &quot;97599&quot;],\n      [&quot;976000&quot;, &quot;999999&quot;],\n    ],\n  ),\n  Regions(\n    &quot;979-11&quot;,\n    &quot;Korea, Republic&quot;,\n    [\n      [&quot;00&quot;, &quot;24&quot;],\n      [&quot;250&quot;, &quot;549&quot;],\n      [&quot;5500&quot;, &quot;8499&quot;],\n      [&quot;85000&quot;, &quot;94999&quot;],\n      [&quot;950000&quot;, &quot;999999&quot;],\n    ],\n  ),\n  Regions(&quot;979-12&quot;, &quot;Italy&quot;, [[&quot;200&quot;, &quot;200&quot;]]),\n]\n\nSynonyms:\nregions.dataset\nregions dataset","url":"regions.html#dataset"},{"doc":"regions","title":"regions","content":" Datasets for internal library usage.","url":"regions.html"},{"doc":"glisbn","title":"IsbnError","content":"pub type IsbnError {\n  InvalidIsbn\n  InvalidCheckdigit\n  InvalidLength\n  RegistrantNotFound\n}\n\nInvalidIsbn\n\n\nInvalidCheckdigit\n\n\nInvalidLength\n\n\nRegistrantNotFound\n\n\nSynonyms:\nglisbn.IsbnError\nglisbn IsbnError","url":"glisbn.html#IsbnError"},{"doc":"glisbn","title":"get_checkdigit","content":"pub fn get_checkdigit(isbn: String) -&gt; Result(String, IsbnError)\n Takes an ISBN and returns its checkdigit.\n\n ## Examples\n\n \n get_prefix(&quot;9788535902778&quot;)\n // -&gt; Ok(&quot;8&quot;)\n \n\n \n get_checkdigit(&quot;2-1234-5680-2&quot;)\n // -&gt; Ok(&quot;2&quot;)\n \n\n \n get_checkdigit(&quot;1str&quot;)\n // -&gt; Error(InvalidIsbn)\n \n\n \n get_checkdigit(&quot;887385107X&quot;)\n // -&gt; Ok(&quot;X&quot;)\n \n\nSynonyms:\nglisbn.get_checkdigit\nglisbn get_checkdigit","url":"glisbn.html#get_checkdigit"},{"doc":"glisbn","title":"get_prefix","content":"pub fn get_prefix(isbn: String) -&gt; Result(String, IsbnError)\n Takes an ISBN and returns its prefix.\n\n ## Examples\n\n \n get_prefix(&quot;9788535902778&quot;)\n // -&gt; Ok(&quot;978-85&quot;)\n \n\n \n get_prefix(&quot;2-1234-5680-2&quot;)\n // -&gt; Ok(&quot;978-2&quot;)\n \n\n \n get_prefix(&quot;1str&quot;)\n // -&gt; Error(InvalidIsbn)\n \n\nSynonyms:\nglisbn.get_prefix\nglisbn get_prefix","url":"glisbn.html#get_prefix"},{"doc":"glisbn","title":"get_publication_element","content":"pub fn get_publication_element(\n  isbn: String,\n) -&gt; Result(String, IsbnError)\n Takes an ISBN and returns its publication element.\n\n ## Examples\n\n \n get_publication_element(&quot;978-1-86197-876-9&quot;)\n // -&gt; Ok(&quot;876&quot;)\n \n\n \n get_publication_element(&quot;9789529351787&quot;)\n // -&gt; Ok(&quot;5178&quot;)\n \n\n \n get_publication_element(&quot;1str&quot;)\n // -&gt; Error(InvalidIsbn)\n \n\nSynonyms:\nglisbn.get_publication_element\nglisbn get_publication_element","url":"glisbn.html#get_publication_element"},{"doc":"glisbn","title":"get_publisher_zone","content":"pub fn get_publisher_zone(\n  isbn: String,\n) -&gt; Result(String, IsbnError)\n Takes an ISBN and returns its publisher zone.\n\n ## Examples\n\n \n get_publisher_zone(&quot;9788535902778&quot;)\n // -&gt; Ok(&quot;Brazil&quot;)\n \n\n \n get_publisher_zone(&quot;2-1234-5680-2&quot;)\n // -&gt; Ok(&quot;French language&quot;)\n \n\n \n get_publisher_zone(&quot;1str&quot;)\n // -&gt; Error(InvalidIsbn)\n \n\nSynonyms:\nglisbn.get_publisher_zone\nglisbn get_publisher_zone","url":"glisbn.html#get_publisher_zone"},{"doc":"glisbn","title":"get_registrant_element","content":"pub fn get_registrant_element(\n  isbn: String,\n) -&gt; Result(String, IsbnError)\n Takes an ISBN and returns its registrant element.\n\n ## Examples\n\n \n get_registrant_element(&quot;9788535902778&quot;)\n // -&gt; Ok(&quot;359&quot;)\n \n\n \n get_registrant_element(&quot;978-1-86197-876-9&quot;)\n // -&gt; Ok(&quot;86197&quot;)\n \n\n \n get_registrant_element(&quot;1str&quot;)\n // -&gt; Error(InvalidIsbn)\n \n\nSynonyms:\nglisbn.get_registrant_element\nglisbn get_registrant_element","url":"glisbn.html#get_registrant_element"},{"doc":"glisbn","title":"hyphenate","content":"pub fn hyphenate(isbn: String) -&gt; Result(String, IsbnError)\n Takes an ISBN (10 or 13) and hyphenates it.\n\n ## Examples\n\n \n hyphenate(&quot;9788535902778&quot;)\n // -&gt; Ok(&quot;978-85-359-0277-8&quot;)\n \n\n \n hyphenate(&quot;0306406152&quot;)\n // -&gt; Ok(&quot;0-306-40615-2&quot;)\n \n\n \n hyphenate(&quot;978-5-12345-678&quot;)\n // -&gt; Error(InvalidIsbn)\n \n\nSynonyms:\nglisbn.hyphenate\nglisbn hyphenate","url":"glisbn.html#hyphenate"},{"doc":"glisbn","title":"is_checkdigit_valid","content":"pub fn is_checkdigit_valid(isbn: String) -&gt; Bool\n Takes an ISBN (10 or 13) and checks its validity by its checkdigit.\n\n ## Examples\n\n \n is_checkdigit_valid(&quot;85-359-0277-5&quot;)\n // -&gt; True\n \n\n \n is_checkdigit_valid(&quot;978-5-12345-678-1&quot;)\n // -&gt; True\n \n\n \n is_checkdigit_valid(&quot;978-5-12345-678&quot;)\n // -&gt; False\n \n\nSynonyms:\nglisbn.is_checkdigit_valid\nglisbn is_checkdigit_valid","url":"glisbn.html#is_checkdigit_valid"},{"doc":"glisbn","title":"is_hyphens_correct","content":"pub fn is_hyphens_correct(isbn: String) -&gt; Bool\n Checks if an ISBN (10 or 13) code is correctly hyphenated. If ISBN incorrect, that count as no.\n\n ## Examples\n\n \n is_hyphens_correct(&quot;978-85-359-0277-8&quot;)\n // -&gt; True\n \n\n \n is_hyphens_correct(&quot;0-306-40615-2&quot;)\n // -&gt; True\n \n\n \n is_hyphens_correct(&quot;97-8853590277-8&quot;)\n // -&gt; False\n \n\n \n is_hyphens_correct(&quot;03-064-06152&quot;)\n // -&gt; False\n \n\n \n is_hyphens_correct(&quot;str&quot;)\n // -&gt; False\n \n\nSynonyms:\nglisbn.is_hyphens_correct\nglisbn is_hyphens_correct","url":"glisbn.html#is_hyphens_correct"},{"doc":"glisbn","title":"is_valid","content":"pub fn is_valid(isbn: String) -&gt; Bool\n Takes an ISBN (10 or 13) and checks its validity by checking the checkdigit, length and characters.\n\n ## Examples\n\n \n is_valid(&quot;978-5-12345-678-1&quot;)\n // -&gt; True\n \n\n \n is_valid(&quot;85-359-0277-5&quot;)\n // -&gt; True\n \n\n \n is_valid(&quot;85-359-0277&quot;)\n // -&gt; False\n \n\n \n is_valid(&quot;str&quot;)\n // -&gt; False\n \n\nSynonyms:\nglisbn.is_valid\nglisbn is_valid","url":"glisbn.html#is_valid"},{"doc":"glisbn","title":"isbn10_checkdigit","content":"pub fn isbn10_checkdigit(\n  isbn: String,\n) -&gt; Result(String, IsbnError)\n Takes an ISBN 10 code as string, returns its check digit.\n\n ## Examples\n\n \n isbn10_checkdigit(&quot;85-359-0277&quot;)\n // -&gt; Ok(&quot;5&quot;)\n \n\n \n isbn10_checkdigit(&quot;5-02-013850&quot;)\n // -&gt; Ok(&quot;9&quot;)\n \n\n \n isbn10_checkdigit(&quot;0str&quot;)\n // -&gt; Error(InvalidIsbn)\n \n\n /// \n isbn10_checkdigit(&quot;887385107&quot;)\n // -&gt; Ok(&quot;X&quot;)\n \n\nSynonyms:\nglisbn.isbn10_checkdigit\nglisbn isbn10_checkdigit","url":"glisbn.html#isbn10_checkdigit"},{"doc":"glisbn","title":"isbn10_to_13","content":"pub fn isbn10_to_13(isbn: String) -&gt; Result(String, IsbnError)\n Takes an ISBN 10 and converts it to ISBN 13.\n\n ## Examples\n\n \n isbn10_to_13(&quot;85-359-0277-5&quot;)\n // -&gt; Ok(&quot;9788535902778&quot;)\n \n\n \n isbn10_to_13(&quot;0306406152&quot;)\n // -&gt; Ok(&quot;9780306406157&quot;)\n \n\n \n isbn10_to_13(&quot;1str&quot;)\n // -&gt; Error(InvalidIsbn)\n \n\nSynonyms:\nglisbn.isbn10_to_13\nglisbn isbn10_to_13","url":"glisbn.html#isbn10_to_13"},{"doc":"glisbn","title":"isbn13_checkdigit","content":"pub fn isbn13_checkdigit(\n  isbn: String,\n) -&gt; Result(String, IsbnError)\n Takes an ISBN 13 code as string, returns its check digit.\n\n ## Examples\n\n \n isbn13_checkdigit(&quot;978-5-12345-678&quot;&quot;)\n // -&gt; Ok(&quot;1&quot;)\n \n\n \n isbn13_checkdigit(&quot;978-0-306-40615&quot;)\n // -&gt; Ok(&quot;7&quot;)\n \n\n \n isbn13_checkdigit(&quot;1str&quot;)\n // -&gt; Error(InvalidIsbn)\n \n\nSynonyms:\nglisbn.isbn13_checkdigit\nglisbn isbn13_checkdigit","url":"glisbn.html#isbn13_checkdigit"},{"doc":"glisbn","title":"isbn13_to_10","content":"pub fn isbn13_to_10(isbn: String) -&gt; Result(String, IsbnError)\n Takes an ISBN 13 and converts it to ISBN 10.\n\n ## Examples\n\n \n isbn13_to_10(&quot;9788535902778&quot;)\n // -&gt; Ok(&quot;8535902775&quot;)\n \n\n \n isbn13_to_10(&quot;9780306406157&quot;)\n // -&gt; Ok(&quot;0306406152&quot;)\n \n\n \n isbn13_to_10(&quot;1str&quot;)\n // -&gt; Error(InvalidIsbn)\n \n\nSynonyms:\nglisbn.isbn13_to_10\nglisbn isbn13_to_10","url":"glisbn.html#isbn13_to_10"},{"doc":"glisbn","title":"glisbn","content":" A ISBN utility library.","url":"glisbn.html"}]);